class ClientSupporterRelation < ActiveRecord::Base

  #--- Concerns
  include Attachable
  include Notificationable
  include Publishable

  #--- Associations
  belongs_to :client, inverse_of: :client_supporter_relations
  belongs_to :supporter, inverse_of: :client_supporter_relations

  #--- General Validations
  validates :supporter_id, :description, presence: true

  #--- Conditional Validations
  # validate :confidentiality_document_is_valid # TODO

  #--- private methods
  private

    # def confidentiality_document_is_valid

    #   default_error = "Bitte hier nur die ausgefüllte Schweigepflichtsentbindung hochladen."

    #   documents.each do |document|
        
    #     if document[:category] == Document::ENUM_CATEGORY_CONFIDENTIALITY_DOCUMENT
          
    #       if (identifier = document.file_identifier)
    #         unless identifier.include? "schweigepflichtentbindung"
    #           document.errors.add(:file, default_error)
    #           return false
    #         end
    #       end
    #     end
    #   end

    #   true
    # end

end
