module Portfolio
  module Conditions
    class SpecificDocumentUploadedMatcher < PortfolioMatcher
        attr_accessor :types

        def initialize
          @types = []
        end

        def match?(portfolio)
          @types.each do |t|
            if !portfolio.documents.include?(t)
              return false
            end
          end
          return true
        end

        def description
          'eines folgenden Dokumente muss hochgeladen werden: ' + @types.join(',')
        end

      end
  end
end
