module Portfolio
  class DiagnosticInformalResultPerson < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_diagnostic_informal_result_people'
    self.inheritance_column = nil

    belongs_to :diagnostic_informal_result,
             foreign_key: :portfolio_item_diagnostic_informal_result_id,
             class_name: '::Portfolio::DiagnosticInformalResult',
             inverse_of: :involved_people

    validates_presence_of :name, :diagnostic_informal_result

  end
end

