class PortfolioDocumentUploader < BaseUploader

  # https://github.com/carrierwaveuploader/carrierwave/issues/822
  # http://stackoverflow.com/questions/5132847/displaying-a-carrierwave-filename-in-the-view
  def identifier_fix
    return nil if file.nil?
    return "#{Date.today.to_s} #{model.portfolio_document_type.title}.#{file.extension}" if model.portfolio_document_type.present?
    return file.filename
  end

end
