module CarrierWave
  module Uploader
    module Versions
      # set the version_name behind the filename (instead before as it would be by default)
      def full_filename(for_file = filename)
        filename  = for_file.pathmap("%n")
        extension = for_file.pathmap("%x")
        [filename, version_name].compact.join('_') + extension
        # test = [filename, version_name].compact.join('_') + extension
        # abort test.inspect
      end
    end
  end
end