class CreateSemesters < ActiveRecord::Migration
  def change
    create_table :semesters do |t|
      t.string :name
      t.text :description
      t.date :start_at
      t.date :end_at

      t.timestamps null: false
    end

    add_reference :client_groups, :semester, index: true, foreign_key: true
  end
end
