class AclSchema < ActiveRecord::Migration
  def change
    create_table :auth_items do |t|
      t.string :model
      t.string :action
      t.string :user_type
      t.string :type
      t.integer :nesting
      t.integer :action_order
    end
    create_table :auth_roles do |t|
      t.string :name
      t.string :description
      t.string :user_type # Teacher,Supporter, etc.
    end
    create_table :auth_items_roles do |t|
      t.references :auth_item
      t.references :auth_role
    end
    create_table :auth_roles_users do |t|
      t.references :user
      t.references :auth_role
    end
  end
end
