class SetResultsClosedDefault < ActiveRecord::Migration
  def change
    change_column_default :portfolio_item_diagnostic_measurements, :results_closed, false
    change_column_default :portfolio_item_diagnostics, :results_closed, false
    change_column_default :portfolio_item_class_diagnostics, :results_closed, false
    Portfolio::ItemDiagnosticMeasurement.where(results_closed: nil).update_all(results_closed: false)
    Portfolio::ItemDiagnostic.where(results_closed: nil).update_all(results_closed: false)
    Portfolio::ItemClassDiagnostic.where(results_closed: nil).update_all(results_closed: false)

  end
end
