class AddressesController < ApplicationController


  def check
    respond_to do |format|
      format.json do
        address = Address.new(params.permit(:street,:number,:city,:region,:zip,:country))
        if address.real?
          address.replace!
          render :json => { address: {
              street: address.street,
              number: address.number,
              city: address.city,
              region: address.region,
              zip: address.zip,
              country: address.country}, valid: true }
        else
          render :json => { address: {
              street: address.street,
              number: address.number,
              city: address.city,
              region: address.region,
              zip: address.zip,
              country: address.country}, valid: false }
        end
      end
    end
  end

end
