module WidgetsHelper

  # wrap markup into a script tag with non extisting type=text/template so browser ignore contents
  def script_text_template_wrapper_widget(options = {}, &block)
    ScriptTextTemplateWrapperWidget.new(self, options).render(&block)
  end

  def iframe_wrapper_widget(options = {}, &block)
    IframeWrapperWidget.new(self, options).render(&block)
  end

  def panel_widget(options = {}, &block)
    PanelWidget.new(self, options).render(&block)
  end

  def pager_media_list_widget(options = {}, &block)
    PagerMediaListWidget.new(self, options).render(&block)
  end

  def pager_panel_head_control_widget(options = {})
    PagerPanelHeadControlWidget.new(self, options).render
  end

  def pager_panel_foot_control_widget(options = {})
    PagerPanelFootControlWidget.new(self, options).render
  end

  def grid_multi_column_widget(options = {}, &block)
    GridMultiColumnWidget.new(self, options).render(&block)
  end

end
