module AddressGeocoder
  class ResultWrapperGoogle

    def initialize geocoder_result_google
      @inst = geocoder_result_google
    end

    def is_precise?
      @inst.precision == 'ROOFTOP' || @inst.precision == 'APPROXIMATE' || @inst.precision == 'RANGE_INTERPOLATED'
    end

    def street
      @inst.route
    end

    def number
      @inst.street_number
    end

    def city
      @inst.city
    end

    def region
      @inst.state
    end

    def zip
      @inst.postal_code
    end

    def country
      @inst.country_code
    end

    def latitude
      @inst.latitude
    end

    def longitude
      @inst.longitude
    end
  end
end
