class Characteristic < ActiveRecord::Base
  belongs_to :diagnostic, inverse_of: :characteristics
  validates_presence_of :name, :diagnostic
  validates_uniqueness_of :name, scope: [ :diagnostic_id ]
  validates_inclusion_of :is_positive, in: [true,false]

end
