module Portfolio
  module Notifiers
    class Level < Base

      def show?
        portfolio.next_rule_level > portfolio.portfolio_level && !portfolio.block_level_raise?
      end

      private
      def do_create
        notification = ::Notification.new
        notification.notificationable= portfolio
        notification.institution_id= portfolio.portfolio_subject.institution_id
        notification.client_id = portfolio.subject.id if portfolio.subject.is_a? ::Client
        notification.content= ::I18n.translate('system_notifications.portfolio_notifiers_level.content',
                                               subject: portfolio.portfolio_subject.name,
        )
        notification.identifier=notification_type
        notification.prio= 0
        notification.due_at= Date.today
        notification.start_at= Date.today
        notification.save
        notification
      end


    end
  end
end
