module VsbApi
  module V1
    class ClientDuplicateRequestResource < JSONAPI::Resource
      model_name 'ClientDuplicateRequest'; def self._model_class; ClientDuplicateRequest; end

      paginator :none

      #attribute :id
      attribute :announced_client_duplicate_responses_count

      filter :id

      def fetchable_fields
        [] # none, this is supposed to be updated only
      end

      def self.updatable_fields(context)
        [:announced_client_duplicate_responses_count]
      end

      def self.creatable_fields(context)
        [] # nothing allowed
      end


    end
  end
end