module VsbApi
  module V1
    class ClientDuplicateResponseResource < JSONAPI::Resource
      model_name 'ClientDuplicateResponse'; def self._model_class; ClientDuplicateResponse; end

      paginator :none

      attribute :announced_client_duplicate_responses_count
      attribute :client_duplicate_request_id
      #attribute :client_duplicate_detection_id
      attribute :vsb_id
      attribute :first_name
      attribute :last_name
      attribute :gender
      attribute :bday
      attribute :duplicate_type
      attribute :institution_name
      attribute :client_group_name
      attribute :client_id


      def fetchable_fields
        [] # none, this is supposed to be created only
      end

      def self.updatable_fields(context)
        [] # none, this is supposed to be created only
      end

      def self.creatable_fields(context)
        super # all allowed
      end


    end
  end
end