class LogoImageUploader < ImageUploader

  def filename
    @filename = "logo.#{file.extension}" if original_filename.present?
  end 

  version :thumb do
    process resize_to_limit: [nil, 150]

    version :medium do
      process resize_to_limit: [nil, 100]
    end
    
    version :small do
      process resize_to_limit: [nil, 50]
    end
  end

end