class StrictLengthValidator < ActiveModel::Validations::LengthValidator
  private
  def tokenize(value)
    if value.is_a? ActiveRecord::Relation
      value = value.reject(&:marked_for_destruction?)
    end
    if options[:tokenizer] && value.kind_of?(String)
      options[:tokenizer].call(value)
    end || value
  end
end
