class IframeWrapperWidget < ActionWidget::Base

    property :content, converts: :to_s

    def render(&block)
      _content = view.capture(self,&block) if content.blank? && block
      _content = content unless content.blank?
      _content = "" unless _content
      _content = "<!--#{Base64.strict_encode64(view.render('layouts/ckeditor_show',:content=>_content))}-->"
      options[:style] ||= "border:none;padding:0;margin:0;width:100%;overflow:hidden;"
      options[:data] = {action:"load-content"}
      options[:src] = "about:blank"
      options[:scrolling] = "no"
      content_tag(:iframe,nil,options,false)+content_tag(:script,_content,{type: 'text/template'},false)
    end

end
