class CreateAdvancementPlanInstitutionStocks < ActiveRecord::Migration
  def change
    create_table :advancement_plan_institution_stocks do |t|
      t.references :advancement_plan, index: {name: 'idx_apis_on_ap_id'}, foreign_key: true
      t.references :institution, index: true, foreign_key: true
      t.integer :stock
      t.integer :borrowed
      t.timestamps null: false
    end
  end
end
